Index: /trunk/zoo-project/zoo-services/cgal/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/cgal/Makefile	(revision 778)
+++ /trunk/zoo-project/zoo-services/cgal/Makefile	(revision 779)
@@ -7,5 +7,5 @@
 	g++ ${CFLAGS} -c ./delaunay.c
 	g++ ${CFLAGS} -c ./voronoi.c
-	g++ ${CFLAGS} -shared -o cgi-env/cgal_service.zo ./delaunay.o ./voronoi.o ./cgal_service.o ${GDAL_LIBS} ${MACOS_LD_FLAGS} ${CGAL_LDFLAGS} -lCGAL -lgmp ${GDAL_LIBS} -L${INST_LIB}
+	g++ ${CFLAGS} -shared -o cgi-env/cgal_service.zo ./delaunay.o ./voronoi.o ./cgal_service.o ${GDAL_LIBS} ${MACOS_LD_FLAGS} ${CGAL_LDFLAGS} -lCGAL -lgmp ${GDAL_LIBS} -L${ZRPATH}/zoo-kernel/ -lzoo_service
 
 cgal_service.o: cgal_service.c cgal_service.h
Index: /trunk/zoo-project/zoo-services/gdal/contour/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/gdal/contour/Makefile	(revision 778)
+++ /trunk/zoo-project/zoo-services/gdal/contour/Makefile	(revision 779)
@@ -5,5 +5,5 @@
 
 cgi-env/contour_service.zo: service.c
-	g++ ${CFLAGS} -shared -fpic -o cgi-env/contour_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -L${INST_LIB} -lzoo_service ${FCGI_LDFLAGS}
+	g++ ${CFLAGS} -shared -fpic -o cgi-env/contour_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -L${ZRPATH}/zoo-kernel/ -lzoo_service ${FCGI_LDFLAGS}
 install:
 	install -d ${CGI_DIR}/gdal/contour
Index: /trunk/zoo-project/zoo-services/gdal/dem/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/gdal/dem/Makefile	(revision 778)
+++ /trunk/zoo-project/zoo-services/gdal/dem/Makefile	(revision 779)
@@ -5,5 +5,5 @@
 
 cgi-env/dem_service.zo: service.c
-	g++ ${CFLAGS} -shared -fpic -o cgi-env/dem_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -L${INST_LIB} -lzoo_service
+	g++ ${CFLAGS} -shared -fpic -o cgi-env/dem_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -L${ZRPATH}/zoo-kernel/ -lzoo_service
 
 install:
Index: /trunk/zoo-project/zoo-services/gdal/grid/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/gdal/grid/Makefile	(revision 778)
+++ /trunk/zoo-project/zoo-services/gdal/grid/Makefile	(revision 779)
@@ -5,5 +5,5 @@
 
 cgi-env/service.zo: service.c
-	g++  -DZOO_SERVICE ${CFLAGS} -shared -fpic -o cgi-env/gdal_grid_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -L${INST_LIB} -lzoo_service
+	g++  -DZOO_SERVICE ${CFLAGS} -shared -fpic -o cgi-env/gdal_grid_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -L${ZRPATH}/zoo-kernel/ -lzoo_service
 
 install:
Index: /trunk/zoo-project/zoo-services/gdal/profile/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/gdal/profile/Makefile	(revision 778)
+++ /trunk/zoo-project/zoo-services/gdal/profile/Makefile	(revision 779)
@@ -5,5 +5,5 @@
 
 cgi-env/profile_service.zo: service.c
-	g++  -DZOO_SERVICE ${CFLAGS} -shared -fpic -o cgi-env/profile_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -L${INST_LIB} -lzoo_service
+	g++  -DZOO_SERVICE ${CFLAGS} -shared -fpic -o cgi-env/profile_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -L${ZRPATH}/zoo-kernel/ -lzoo_service
 
 install:
Index: /trunk/zoo-project/zoo-services/gdal/translate/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/gdal/translate/Makefile	(revision 778)
+++ /trunk/zoo-project/zoo-services/gdal/translate/Makefile	(revision 779)
@@ -5,5 +5,5 @@
 
 cgi-env/translate_service.zo: service.c
-	g++ ${CFLAGS} -shared -fpic -o cgi-env/translate_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -L${INST_LIB} -lzoo_service
+	g++ ${CFLAGS} -shared -fpic -o cgi-env/translate_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -L${ZRPATH}/zoo-kernel/ -lzoo_service
 
 install:
Index: /trunk/zoo-project/zoo-services/gdal/warp/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/gdal/warp/Makefile	(revision 778)
+++ /trunk/zoo-project/zoo-services/gdal/warp/Makefile	(revision 779)
@@ -5,5 +5,5 @@
 
 cgi-env/warp_service.zo: service.c
-	g++ ${CFLAGS} -shared -fpic -o cgi-env/warp_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -L${INST_LIB} -lzoo_service
+	g++ ${CFLAGS} -shared -fpic -o cgi-env/warp_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -L${ZRPATH}/zoo-kernel/ -lzoo_service
 
 install:
Index: /trunk/zoo-project/zoo-services/ogr/base-vect-ops/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/ogr/base-vect-ops/Makefile	(revision 778)
+++ /trunk/zoo-project/zoo-services/ogr/base-vect-ops/Makefile	(revision 779)
@@ -10,5 +10,5 @@
 
 cgi-env/ogr_service.zo: service.c
-	g++ ${CFLAGS} -shared -fpic -o cgi-env/ogr_service.zo ./service.c ${GDAL_LIBS} ${XML2LDFLAGS} ${MACOS_LD_FLAGS} ${ZOO_LDFLAGS} ${MACOS_LD_NET_FLAGS} ${GEOS_LDFLAGS} -lfcgi  -lpthread -lzoo_service
+	g++ ${CFLAGS} -shared -fpic -o cgi-env/ogr_service.zo ./service.c ${GDAL_LIBS} ${XML2LDFLAGS} ${MACOS_LD_FLAGS} ${ZOO_LDFLAGS} ${MACOS_LD_NET_FLAGS} ${GEOS_LDFLAGS} -lfcgi  -lpthread -L${ZRPATH}/zoo-kernel/ -lzoo_service
 
 install:
Index: /trunk/zoo-project/zoo-services/ogr/ogr2ogr/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/ogr/ogr2ogr/Makefile	(revision 778)
+++ /trunk/zoo-project/zoo-services/ogr/ogr2ogr/Makefile	(revision 779)
@@ -5,5 +5,5 @@
 
 cgi-env/ogr2ogr_service.zo: service.c $(DEP_LIBS)
-	g++ $(CFLAGS) $(CPPFLAGS) -shared -fpic $<  -o $@ ${GDAL_LIBS} -L${INST_LIB} -lzoo_service
+	g++ $(CFLAGS) $(CPPFLAGS) -shared -fpic $<  -o $@ ${GDAL_LIBS} -L${ZRPATH}/zoo-kernel/ -lzoo_service
 
 install:
Index: /trunk/zoo-project/zoo-services/utils/registry/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/utils/registry/Makefile	(revision 778)
+++ /trunk/zoo-project/zoo-services/utils/registry/Makefile	(revision 779)
@@ -16,5 +16,5 @@
 
 cgi-env/wps_registry.zo: service.c
-	g++ ${CFLAGS} -shared -fpic -o cgi-env/wps_registry.zo ./service.c ${GDAL_LIBS} ${XML2LDFLAGS} ${MACOS_LD_FLAGS} ${ZOO_LDFLAGS} ${MACOS_LD_NET_FLAGS} ${XSLT_LDFLAGS} -lfcgi -lzoo_service ${ZRPATH}/zoo-kernel/server_internal.o ${ZRPATH}/zoo-kernel/lex.cr.o ${ZRPATH}/zoo-kernel/lex.sr.o ${ZRPATH}/zoo-kernel/service_conf.tab.o ${ZRPATH}/zoo-kernel/main_conf_read.tab.o ${ZRPATH}/zoo-kernel/response_print.o ${YAML_FILES} ${MS_FILES} ${MS_LDFLAGS} ${YAML_LDFLAGS}
+	g++ ${CFLAGS} -shared -fpic -o cgi-env/wps_registry.zo ./service.c ${GDAL_LIBS} ${XML2LDFLAGS} ${MACOS_LD_FLAGS} ${ZOO_LDFLAGS} ${MACOS_LD_NET_FLAGS} ${XSLT_LDFLAGS} -lfcgi -L${ZRPATH}/zoo-kernel/ -lzoo_service ${ZRPATH}/zoo-kernel/server_internal.o ${ZRPATH}/zoo-kernel/lex.cr.o ${ZRPATH}/zoo-kernel/lex.sr.o ${ZRPATH}/zoo-kernel/service_conf.tab.o ${ZRPATH}/zoo-kernel/main_conf_read.tab.o ${ZRPATH}/zoo-kernel/response_print.o ${YAML_FILES} ${MS_FILES} ${MS_LDFLAGS} ${YAML_LDFLAGS}
 
 install:
Index: /trunk/zoo-project/zoo-services/utils/status/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/utils/status/Makefile	(revision 778)
+++ /trunk/zoo-project/zoo-services/utils/status/Makefile	(revision 779)
@@ -4,5 +4,5 @@
 
 cgi-env/wps_status.zo: service.c
-	g++ ${CFLAGS} -shared -fpic -o cgi-env/wps_status.zo ./service.c ${GDAL_LIBS} ${XML2LDFLAGS} ${MACOS_LD_FLAGS} ${ZOO_LDFLAGS} ${MACOS_LD_NET_FLAGS} ${XSLT_LDFLAGS} ${FCGI_LDFLAGS} -L${INST_LIB} -lzoo_service
+	g++ ${CFLAGS} -shared -fpic -o cgi-env/wps_status.zo ./service.c ${GDAL_LIBS} ${XML2LDFLAGS} ${MACOS_LD_FLAGS} ${ZOO_LDFLAGS} ${MACOS_LD_NET_FLAGS} ${XSLT_LDFLAGS} ${FCGI_LDFLAGS} -L${ZRPATH}/zoo-kernel/ -lzoo_service
 
 install: