Index: /trunk/thirds/cgic206/cgic.html
===================================================================
--- /trunk/thirds/cgic206/cgic.html	(revision 780)
+++ /trunk/thirds/cgic206/cgic.html	(revision 781)
@@ -1630,5 +1630,5 @@
 </strong><br><dd>
 cgiHeaderLocation() should be called if the programmer wishes to
-redirect the user to a different URL. No futher output
+redirect the user to a different URL. No further output
 is needed in this case.
 <p>
Index: /trunk/thirds/dirent-win32/dirent.h
===================================================================
--- /trunk/thirds/dirent-win32/dirent.h	(revision 780)
+++ /trunk/thirds/dirent-win32/dirent.h	(revision 781)
@@ -287,5 +287,5 @@
       }
       if (FindNextFileA (dirp->search_handle, &dirp->find_data) == FALSE) {
-         /* the very last entry has been processed or an error occured */
+         /* the very last entry has been processed or an error occurred */
          FindClose (dirp->search_handle);
          dirp->search_handle = INVALID_HANDLE_VALUE;
Index: /trunk/zoo-project/HISTORY.txt
===================================================================
--- /trunk/zoo-project/HISTORY.txt	(revision 780)
+++ /trunk/zoo-project/HISTORY.txt	(revision 781)
@@ -18,7 +18,7 @@
   * Add utils/registry service
   * Initial support for WPS 2.0.0 including the Dismiss extension
-  * Fix concurrency access to status informations
-  * Use simple file rather than shared memory for storing status informations
-  * Add support for db backend to store status informations
+  * Fix concurrency access to status information
+  * Use simple file rather than shared memory for storing status information
+  * Add support for db backend to store status information
   * Add the lib_zoo_service shared library to be linked against C services
   * Add ZOO-API for the PHP language (with documentation)
@@ -138,6 +138,6 @@
   * add !BoundingBoxData support
   * Python support is now optional as other languages
-  * add lenv section before running the service to store informations runtime specific 
-  * add COOKIE support and {{{senv}}} section to store informations session specific
+  * add lenv section before running the service to store information runtime specific 
+  * add COOKIE support and {{{senv}}} section to store information session specific
   * add {{{USE_GDB}}} compilation flag to remove signal handling for debuging purpose
   * enhance base64 support when included in and XML POST request
Index: /trunk/zoo-project/zoo-client/lib/js/wps-client/wps-payload.js
===================================================================
--- /trunk/zoo-project/zoo-client/lib/js/wps-client/wps-payload.js	(revision 780)
+++ /trunk/zoo-project/zoo-client/lib/js/wps-client/wps-payload.js	(revision 781)
@@ -33,5 +33,5 @@
      * In the ZOO-Client API, the Hogan.js templates have to be compiled before
      * you can use them from you application. Please refer to the ZOO-Client 
-     * installation documentation for more informations.
+     * installation documentation for more information.
      * 
      * @module wpsPayload 
Index: /trunk/zoo-project/zoo-kernel/caching.c
===================================================================
--- /trunk/zoo-project/zoo-kernel/caching.c	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/caching.c	(revision 781)
@@ -38,5 +38,5 @@
  * @param url the char* 
  * @return a char* representing the md5 of the url
- * @warning make sure to free ressources returned by this function
+ * @warning make sure to free resources returned by this function
  */
 char* getMd5(char* url){
@@ -124,5 +124,5 @@
  * @param request the url
  * @return the full name of the cached file if any, NULL in other case
- * @warning make sure to free ressources returned by this function (if not NULL)
+ * @warning make sure to free resources returned by this function (if not NULL)
  */
 char* isInCache(maps* conf,char* request){
Index: /trunk/zoo-project/zoo-kernel/locale/po/fr_FR.po
===================================================================
--- /trunk/zoo-project/zoo-kernel/locale/po/fr_FR.po	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/locale/po/fr_FR.po	(revision 781)
@@ -124,5 +124,5 @@
 "background task. Please access the URL in the statusLocation attribute "
 "provided in this document to get the up-to-date status and results."
-msgstr "Le service \"%s\" a été accepté par le ZOO-Kernel et est en cours d'exécution en tâche de fond. Merci d'utiliser le lien URL fournis dans l'attribut statusLocation de la racine de ce document pour obtenir des informations sur l'état d'éxcution du service."
+msgstr "Le service \"%s\" a été accepté par le ZOO-Kernel et est en cours d'exécution en tâche de fond. Merci d'utiliser le lien URL fournis dans l'attribut statusLocation de la racine de ce document pour obtenir des information sur l'état d'éxcution du service."
 
 #: response_print.c:1661
@@ -243,5 +243,5 @@
 msgid ""
 "%s \n"
-" Unable to run your python process properly. Unable to provide any futher informations."
+" Unable to run your python process properly. Unable to provide any further information."
 msgstr "%s\nImpossible de charger votre service python correctement. Aucune information supplémentaire."
 
@@ -253,5 +253,5 @@
 #: zoo_service_loader.c:527
 #, c-format
-msgid "Error occured while running the %s function: %s"
+msgid "Error occurred while running the %s function: %s"
 msgstr "Une erreur est survenue pendant l'execution de la %s fonction: %s"
 
Index: /trunk/zoo-project/zoo-kernel/locale/po/it_IT.po
===================================================================
--- /trunk/zoo-project/zoo-kernel/locale/po/it_IT.po	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/locale/po/it_IT.po	(revision 781)
@@ -242,5 +242,5 @@
 msgid ""
 "%s \n"
-" Unable to run your python process properly. Unable to provide any futher informations."
+" Unable to run your python process properly. Unable to provide any further information."
 msgstr "%s\nImpossibile eseguire il processo di Python correttamente. Impossibile fornire ulteriori informazioni."
 
@@ -252,5 +252,5 @@
 #: zoo_service_loader.c:527
 #, c-format
-msgid "Error occured while running the %s function: %s"
+msgid "Error occurred while running the %s function: %s"
 msgstr "Un errore è avvenuto mentre si stava eseguendo la funzione %s: %s"
 
Index: /trunk/zoo-project/zoo-kernel/locale/po/ja_JP.po
===================================================================
--- /trunk/zoo-project/zoo-kernel/locale/po/ja_JP.po	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/locale/po/ja_JP.po	(revision 781)
@@ -243,5 +243,5 @@
 msgid ""
 "%s \n"
-" Unable to run your python process properly. Unable to provide any futher informations."
+" Unable to run your python process properly. Unable to provide any further information."
 msgstr "%s\nユーザーPythonプロセスを正しく実行できません。より詳しい情報は提供されていません。"
 
@@ -253,5 +253,5 @@
 #: zoo_service_loader.c:527
 #, c-format
-msgid "Error occured while running the %s function: %s"
+msgid "Error occurred while running the %s function: %s"
 msgstr "%s ファンクションを実行中にエラーが発生しました : %s"
 
Index: /trunk/zoo-project/zoo-kernel/locale/po/messages.po
===================================================================
--- /trunk/zoo-project/zoo-kernel/locale/po/messages.po	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/locale/po/messages.po	(revision 781)
@@ -266,10 +266,10 @@
 msgid ""
 "%s \n"
-" Unable to run your python process properly. Unable to provide any futher "
-"informations."
+" Unable to run your python process properly. Unable to provide any further "
+"information."
 msgstr ""
 "%s \n"
-" Unable to run your python process properly. Unable to provide any futher "
-"informations."
+" Unable to run your python process properly. Unable to provide any further "
+"information."
 
 #: zoo_service_loader.c:352
@@ -280,6 +280,6 @@
 #: zoo_service_loader.c:527
 #, c-format
-msgid "Error occured while running the %s function: %s"
-msgstr "Error occured while running the %s function: %s"
+msgid "Error occurred while running the %s function: %s"
+msgstr "Error occurred while running the %s function: %s"
 
 #: zoo_service_loader.c:578
Index: /trunk/zoo-project/zoo-kernel/main_conf_read.y
===================================================================
--- /trunk/zoo-project/zoo-kernel/main_conf_read.y	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/main_conf_read.y	(revision 781)
@@ -131,5 +131,5 @@
 
 /**
- * Print on stderr the message and the line number of the error which occured.
+ * Print on stderr the message and the line number of the error which occurred.
  *
  * @param s the error message
Index: /trunk/zoo-project/zoo-kernel/request_parser.c
===================================================================
--- /trunk/zoo-project/zoo-kernel/request_parser.c	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/request_parser.c	(revision 781)
@@ -324,5 +324,5 @@
 			{
 			  free(cursor_input);
-			  return errorException (*main_conf, "Unable to fetch any ressource", "InternalError", NULL);
+			  return errorException (*main_conf, "Unable to fetch any resource", "InternalError", NULL);
 			}
 		      }
@@ -1319,5 +1319,5 @@
 
 /**
- * Parse XML request and store informations in maps.
+ * Parse XML request and store information in maps.
  *
  * @param main_conf the conf maps containing the main.cfg settings
@@ -1426,5 +1426,5 @@
 
 /**
- * Parse request and store informations in maps.
+ * Parse request and store information in maps.
  *
  * @param main_conf the conf maps containing the main.cfg settings
Index: /trunk/zoo-project/zoo-kernel/response_print.c
===================================================================
--- /trunk/zoo-project/zoo-kernel/response_print.c	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/response_print.c	(revision 781)
@@ -89,5 +89,5 @@
  * Print the HTTP headers based on a map.
  * 
- * @param m the map containing the headers informations
+ * @param m the map containing the headers information
  */
 void printHeaders(maps* m){
@@ -889,9 +889,9 @@
 
 /**
- * Generate the required XML tree for the detailled metadata informations of 
+ * Generate the required XML tree for the detailled metadata information of 
  * inputs or outputs
  *
  * @param in 1 in case of inputs, 0 for outputs
- * @param elem the elements structure containing the metadata informations
+ * @param elem the elements structure containing the metadata information
  * @param type the name ("Input" or "Output") of the XML node to create
  * @param ns_ows the ows XML namespace
@@ -2129,10 +2129,10 @@
 
 /**
- * Create XML node with basic ows metadata informations (Identifier,Title,Abstract)
+ * Create XML node with basic ows metadata information (Identifier,Title,Abstract)
  *
  * @param root the root XML node to add the description
  * @param ns_ows the ows XML namespace
  * @param identifier the identifier to use
- * @param amap the map containing the ows metadata informations 
+ * @param amap the map containing the ows metadata information 
  */
 void printDescription(xmlNodePtr root,xmlNsPtr ns_ows,const char* identifier,map* amap,int vid=0){
@@ -2332,5 +2332,5 @@
  * Generate the output response (RawDataOutput or ResponseDocument)
  *
- * @param s the service structure containing the metadata informations
+ * @param s the service structure containing the metadata information
  * @param request_inputs the inputs provided to the service for execution
  * @param request_outputs the outputs updated by the service execution
@@ -2671,5 +2671,5 @@
  * Exemple : 189000,834000,285000,962000,urn:ogc:def:crs:OGC:1.3:CRS84
  *
- * A map to store boundingbox informations should contain:
+ * A map to store boundingbox information should contain:
  *  - lowerCorner : double,double (minimum within this bounding box)
  *  - upperCorner : double,double (maximum within this bounding box)
Index: /trunk/zoo-project/zoo-kernel/server_internal.c
===================================================================
--- /trunk/zoo-project/zoo-kernel/server_internal.c	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/server_internal.c	(revision 781)
@@ -56,5 +56,5 @@
  *
  * @return a new char* containing the UUID, make sure to free the returned 
- *  ressource once used.
+ *  resource once used.
  */
 char *get_uuid(){
@@ -365,5 +365,5 @@
   size_t ret=fwrite(val,sizeof(char),length,of);
   if(ret<length){
-    fprintf(stderr,"Write error occured!\n");
+    fprintf(stderr,"Write error occurred!\n");
     fclose(of);
     return -1;
Index: /trunk/zoo-project/zoo-kernel/service.h
===================================================================
--- /trunk/zoo-project/zoo-kernel/service.h	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/service.h	(revision 781)
@@ -205,5 +205,5 @@
    * Not named linked list
    *
-   * Used to store informations about formats, such as mimeType, encoding ... 
+   * Used to store information about formats, such as mimeType, encoding ... 
    */
   typedef struct iotype{
@@ -215,5 +215,5 @@
    * Metadata information about input or output.
    *
-   * The elements are used to store metadata informations defined in the ZCFG.
+   * The elements are used to store metadata information defined in the ZCFG.
    */
   typedef struct elements{
@@ -229,5 +229,5 @@
 
   /**
-   * Metadata informations about a full Service.
+   * Metadata information about a full Service.
    */
   typedef struct service{
Index: /trunk/zoo-project/zoo-kernel/service_conf.y
===================================================================
--- /trunk/zoo-project/zoo-kernel/service_conf.y	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/service_conf.y	(revision 781)
@@ -111,5 +111,5 @@
 
 miscetoile
- : miscetoile PIERROR {  srerror("processing instruction begining with <?xml ?> impossible\n");}
+ : miscetoile PIERROR {  srerror("processing instruction beginning with <?xml ?> impossible\n");}
  | miscetoile PI {}
  | {}
@@ -753,5 +753,5 @@
 
 /**
- * Print on stderr the message and the line number of the error which occured.
+ * Print on stderr the message and the line number of the error which occurred.
  * 
  * @param s the error message
Index: /trunk/zoo-project/zoo-kernel/service_internal.c
===================================================================
--- /trunk/zoo-project/zoo-kernel/service_internal.c	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/service_internal.c	(revision 781)
@@ -683,5 +683,5 @@
  * @param conf the maps containing the settings of the main.cfg file
  * @param dataSource the datasource name to read
- * @warning make sure to free ressources returned by this function
+ * @warning make sure to free resources returned by this function
  */
 char *readVSIFile(maps* conf,const char* dataSource){
Index: /trunk/zoo-project/zoo-kernel/service_internal_java.c
===================================================================
--- /trunk/zoo-project/zoo-kernel/service_internal_java.c	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/service_internal_java.c	(revision 781)
@@ -308,5 +308,5 @@
   FILE* new_stdout=fopen(tmps,"wb+");
   if(new_stdout==NULL){
-    map* err=createMap("text","Unable to run your service, no debug informations can be provided (please verify privileges on tmpPath)");
+    map* err=createMap("text","Unable to run your service, no debug information can be provided (please verify privileges on tmpPath)");
     addToMap(err,"code","InternalError");
     printExceptionReportResponse(main_conf,err);
@@ -395,5 +395,5 @@
  * @param scHashMap_constructor the pointer to the hashMap constructor method
  * @return a created JAVA HashMap containing the converted maps
- * @warning make sure to free ressources returned by this function
+ * @warning make sure to free resources returned by this function
  */
 jobject HashMap_FromMaps(JNIEnv *env,maps* t,jclass scHashMapClass,jclass scHashMap_class,jmethodID scHashMap_constructor){
@@ -539,5 +539,5 @@
  * @param scHashMapClass the hashMap class
  * @return a created maps containing the converted HashMap
- * @warning make sure to free ressources returned by this function
+ * @warning make sure to free resources returned by this function
  */
 maps* mapsFromHashMap(JNIEnv *env,jobject t,jclass scHashMapClass){
Index: /trunk/zoo-project/zoo-kernel/service_internal_js.c
===================================================================
--- /trunk/zoo-project/zoo-kernel/service_internal_js.c	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/service_internal_js.c	(revision 781)
@@ -386,5 +386,5 @@
  * @param global the global JavaScript object (not used)
  * @param filename the file name to load
- * @return a JavaScript Object on success, NULL if an errro occured
+ * @return a JavaScript Object on success, NULL if an errro occurred
  */
 JSObject * loadZooApiFile(JSContext *cx,JSObject  *global, char* filename){
@@ -776,5 +776,5 @@
  * @param arg the JavaScript value
  * @return a new char*
- * @warning be sure to free the ressources returned by this function
+ * @warning be sure to free the resources returned by this function
  */
 char* JSValToChar(JSContext* context, jsval* arg) {
Index: /trunk/zoo-project/zoo-kernel/service_internal_ms.c
===================================================================
--- /trunk/zoo-project/zoo-kernel/service_internal_ms.c	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/service_internal_ms.c	(revision 781)
@@ -834,5 +834,5 @@
    * processing directive
    */
-  char nBands[2];
+  char nBands[3];
   int nBandsI=GDALGetRasterCount( hDataset );
   sprintf(nBands,"%d",GDALGetRasterCount( hDataset ));
@@ -848,5 +848,5 @@
    * Name available Bands
    */
-  char lBands[6];
+  char lBands[7];
   char *nameBands=NULL;
   for( iBand = 0; iBand < nBandsI; iBand++ ){
@@ -867,5 +867,5 @@
   
   /**
-   * Loops over metadata informations to setup specific informations
+   * Loops over metadata information to setup specific information
    */
   for( iBand = 0; iBand < nBandsI; iBand++ ){
Index: /trunk/zoo-project/zoo-kernel/service_internal_python.c
===================================================================
--- /trunk/zoo-project/zoo-kernel/service_internal_python.c	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/service_internal_python.c	(revision 781)
@@ -359,5 +359,5 @@
 	free(pbt);
       pbt=(char*)malloc((90+strlen(tpbt)+strlen(PyString_AsString(trace))+1)*sizeof(char));      
-      sprintf(pbt,_("%s \n Unable to run your python process properly. Unable to provide any futher informations."),tpbt);
+      sprintf(pbt,_("%s \n Unable to run your python process properly. Unable to provide any further information."),tpbt);
     }
     free(tpbt);
@@ -379,5 +379,5 @@
  * @return a new PyDictObject containing the converted maps
  * @see PyDict_FromMap
- * @warning make sure to free ressources returned by this function
+ * @warning make sure to free resources returned by this function
  */
 PyDictObject* PyDict_FromMaps(maps* t){
@@ -402,5 +402,5 @@
  * @param t the map to convert
  * @return a new PyDictObject containing the converted maps
- * @warning make sure to free ressources returned by this function
+ * @warning make sure to free resources returned by this function
  */
 PyDictObject* PyDict_FromMap(map* t){
@@ -519,5 +519,5 @@
  * @param t the PyDictObject to convert
  * @return a new maps containing the converted PyDictObject
- * @warning make sure to free ressources returned by this function
+ * @warning make sure to free resources returned by this function
  */
 maps* mapsFromPyDict(PyDictObject* t){
@@ -606,5 +606,5 @@
  * @param t the PyDictObject to convert
  * @return a new map containing the converted PyDictObject
- * @warning make sure to free ressources returned by this function
+ * @warning make sure to free resources returned by this function
  */
 map* mapFromPyDict(PyDictObject* t){
Index: /trunk/zoo-project/zoo-kernel/service_yaml.c
===================================================================
--- /trunk/zoo-project/zoo-kernel/service_yaml.c	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/service_yaml.c	(revision 781)
@@ -43,5 +43,5 @@
  * @param service the service structure to fill
  * @param name the service name
- * @return 1 on success, -1 if error occured
+ * @return 1 on success, -1 if error occurred
  */
 int getServiceFromYAML(maps* conf, char* file,service** service,char *name){
Index: /trunk/zoo-project/zoo-kernel/sql/schema.sql
===================================================================
--- /trunk/zoo-project/zoo-kernel/sql/schema.sql	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/sql/schema.sql	(revision 781)
@@ -35,5 +35,5 @@
 --------------------------------------------------------------------------------
 -- Services table
--- Used to store informations about services running asynchronously
+-- Used to store information about services running asynchronously
 create table services (
        osid TEXT unique,
Index: /trunk/zoo-project/zoo-kernel/ulinet.c
===================================================================
--- /trunk/zoo-project/zoo-kernel/ulinet.c	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/ulinet.c	(revision 781)
@@ -218,5 +218,5 @@
 
 /**
- * Close a HINTERNET connection and free allocated ressources
+ * Close a HINTERNET connection and free allocated resources
  *
  * @param handle0 the HINTERNET connection to close
@@ -444,5 +444,5 @@
 
 /**
- * Use basic authentication for accessing a ressource
+ * Use basic authentication for accessing a resource
  * 
  * @param hInternet the _HINTERNET structure
Index: /trunk/zoo-project/zoo-kernel/zoo_service_loader.c
===================================================================
--- /trunk/zoo-project/zoo-kernel/zoo_service_loader.c	(revision 780)
+++ /trunk/zoo-project/zoo-kernel/zoo_service_loader.c	(revision 781)
@@ -558,5 +558,5 @@
                   sprintf (tmpMsg,
                            _
-                           ("Error occured while running the %s function: %s"),
+                           ("Error occurred while running the %s function: %s"),
                            r_inputs->value, errstr);
                   errorException (m, tmpMsg, "InternalError", NULL);
Index: /trunk/zoo-project/zoo-services/gdal/ndvi/cgi-env/ndvi.py
===================================================================
--- /trunk/zoo-project/zoo-services/gdal/ndvi/cgi-env/ndvi.py	(revision 780)
+++ /trunk/zoo-project/zoo-services/gdal/ndvi/cgi-env/ndvi.py	(revision 781)
@@ -40,5 +40,5 @@
                                dataset.RasterXSize, dataset.RasterYSize,1, \
                                gdal.GDT_Float32)
-    # Set spatial informations of the new image.
+    # Set spatial information of the new image.
     if geoTransform:
         newDataset.SetGeoTransform(geoTransform)