Index: /trunk/zoo-project/zoo-kernel/locale/po/es.po
===================================================================
--- /trunk/zoo-project/zoo-kernel/locale/po/es.po	(revision 823)
+++ /trunk/zoo-project/zoo-kernel/locale/po/es.po	(revision 823)
@@ -0,0 +1,332 @@
+# ZOO-Kernel Internationalization.
+# Copyright (C) 2015 GeoLabs SARL
+# This file is distributed under the same license as the PACKAGE package.
+# 
+# Translators:
+# Carlos Nelson Jimenez <carlos.nelson.jimenez@googlemail.com>, 2017
+msgid ""
+msgstr ""
+"Project-Id-Version: ZOO-Kernel Internationalization\n"
+"Report-Msgid-Bugs-To: zoo-discuss@lists.osgeo.org\n"
+"POT-Creation-Date: 2015-07-02 18:06+0200\n"
+"PO-Revision-Date: 2017-05-09 12:30+0000\n"
+"Last-Translator: Carlos Nelson Jimenez <carlos.nelson.jimenez@googlemail.com>\n"
+"Language-Team: Spanish (http://www.transifex.com/zoo-project/zoo-kernel-internationalization/language/es/)\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Language: es\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+
+#: caching.c:217 caching.c:235 caching.c:356 request_parser.c:214
+#: request_parser.c:225 request_parser.c:262 request_parser.c:403
+#: request_parser.c:414 request_parser.c:441 request_parser.c:537
+#: request_parser.c:562 request_parser.c:665 request_parser.c:782
+#: request_parser.c:1112 request_parser.c:1204 zcfg2yaml.c:38
+#: zoo_service_loader.c:259 zoo_service_loader.c:880 zoo_service_loader.c:1363
+#: zoo_service_loader.c:1559
+msgid "Unable to allocate memory"
+msgstr "No se puede descargar el archivo."
+
+#: caching.c:344
+msgid "Unable to download the file."
+msgstr "No se puede descargar el archivo."
+
+#: request_parser.c:92
+#, c-format
+msgid "The maximum allowed occurrences for <%s> (%i) was exceeded."
+msgstr "Se superaron las instancias máximas permitidas para <%s> (%i)."
+
+#: request_parser.c:113
+#, c-format
+msgid "ZOO-Kernel was unable to load your data for %s position %s."
+msgstr "ZOO-Kernel no pudo cargar sus datos para %s en la posición %s."
+
+#: request_parser.c:124
+#, c-format
+msgid "The maximum allowed occurrences for <%s> is one."
+msgstr "La instancia máxima permitida para <%s> es única."
+
+#: request_parser.c:315
+#, c-format
+msgid "Unable to find a valid protocol to download the remote file %s"
+msgstr "No se puede encontrar un protocolo válido para descargar el archivo remoto %s"
+
+#: request_parser.c:613
+msgid "Unable to add a request in the queue."
+msgstr "No se puede agregar una solicitud en cola."
+
+#: request_parser.c:1021
+msgid "Unable to append maps to maps."
+msgstr "No se pueden agregar mapas a los mapas."
+
+#: request_parser.c:1291
+msgid "Duplicate <Output> elements in WPS Execute request"
+msgstr "Elementos <Output> duplicados en la solicitud WPS Execute"
+
+#: request_parser.c:1487
+#, c-format
+msgid ""
+"The <%s> parameter has a size limit (%s MB) defined in the ZOO "
+"ServicesProvider configuration file, but the reference you provided exceeds "
+"this limit (%f MB)."
+msgstr "El parámetro <%s> tiene un tamaño límite de (%s MB) definido en el archivo de configuración ZOO ServicesProvider, pero la referencia que ha proporcionado excede ese límite (%f MB)."
+
+#: request_parser.c:1519
+#, c-format
+msgid ""
+"The <%s> argument was not specified in DataInputs but is required according "
+"to the ZOO ServicesProvider configuration file."
+msgstr "No se especificó el argumento <%s> en DataInputs, pero se requiere de acuerdo con el archivo de configuración ZOO ServicesProvider."
+
+#: request_parser.c:1545
+#, c-format
+msgid ""
+"The <%s> argument specified as %s identifier was not recognized (not defined"
+" in the ZOO Configuration File)."
+msgstr "El argumento <%s> especificado como identificador %s  no fue reconocido (no se encuentra definido en el archivo ZOO Configuration)."
+
+#: request_parser.c:1663
+#, c-format
+msgid "Mandatory parameter <%s> was not specified"
+msgstr "No se especificó el parámetro obligatorio <%s>"
+
+#: request_parser.c:1712
+#, c-format
+msgid "The value <%s> was not recognized, %s %s the only acceptable value."
+msgstr "El se reconoció el valor <%s>, %s %s es el único valor aceptable."
+
+#: request_parser.c:1715
+msgid "is"
+msgstr "es/está"
+
+#: request_parser.c:1727
+msgid "are"
+msgstr "son/están"
+
+#: response_print.c:1630
+#, c-format
+msgid "The service \"%s\" ran successfully."
+msgstr "Se ha ejecutado correctamente el servicio \"%s\"."
+
+#: response_print.c:1638
+#, c-format
+msgid ""
+"The ZOO service \"%s\" is currently running. Please reload this document to "
+"get the up-to-date status of the service."
+msgstr "El servicio ZOO \"%s\" ya está en ejecución. Vuelva a cargar este documento para obtener el estado actualizado del servicio."
+
+#: response_print.c:1644
+#, c-format
+msgid ""
+"The service \"%s\" was accepted by the ZOO-Kernel and is running as a "
+"background task. Please access the URL in the statusLocation attribute "
+"provided in this document to get the up-to-date status and results."
+msgstr "ZOO-Kernel aceptó el servicio \"%s\" y se está ejecutando como una tarea de fondo. Acceda a la URL en el atributo statusLocation que se proporciona en este documento para obtener el estado y los resultados actualizados."
+
+#: response_print.c:1661
+msgid "No more information available"
+msgstr "No hay más información disponible"
+
+#: response_print.c:1668
+#, c-format
+msgid "error code not know : %i\n"
+msgstr "código de error desconocido: %i\n"
+
+#: response_print.c:1760
+msgid "Lock failed."
+msgstr "Falló el bloqueo."
+
+#: response_print.c:1773
+#, c-format
+msgid "Unable to create the file \"%s\" for storing the ExecuteResponse."
+msgstr "No se puede crear el archivo \"%s\" para almacenar ExecuteResponse."
+
+#: response_print.c:2290
+msgid "No debug message available"
+msgstr "No hay mensaje de depuración disponible"
+
+#: response_print.c:2378
+#, c-format
+msgid "Unable to create the file \"%s\" for storing the session maps."
+msgstr "No se puede crear el archivo \"%s\" para almacenar los mapas de sesión."
+
+#: response_print.c:2394
+msgid ""
+"Unable to run the Service. The message returned back by the Service was the "
+"following: "
+msgstr "No se puede ejecutar el servicio. El mensaje devuelto fue el siguiente:"
+
+#: response_print.c:2395
+#, c-format
+msgid ""
+"Unable to run the Service. The message returned back by the Service was the "
+"following: %s"
+msgstr "No se puede ejecutar el servicio. El mensaje devuelto fue el siguiente: %s"
+
+#: response_print.c:2398 response_print.c:2399
+msgid ""
+"Unable to run the Service. No more information was returned back by the "
+"Service."
+msgstr "No se puede ejecutar el servicio. No hay más información devuelta por el mismo."
+
+#: response_print.c:2486
+#, c-format
+msgid "Unable to create the file \"%s\" for storing the %s final result."
+msgstr "No se puede crear el archivo \"%s\" para guardar el resultado final %s."
+
+#: response_print.c:2572
+#, c-format
+msgid ""
+"Wrong RawDataOutput parameter: unable to fetch any result for the given "
+"parameter name: \"%s\"."
+msgstr "Parámetro RawDataOutput incorrecto: no se puede obtener ningún resultado para el nombre del parámetro dado: \"%s\"."
+
+#: server_internal.c:869 server_internal.c:946
+msgid ""
+"The JobID from the request does not match any of the Jobs running on this "
+"server"
+msgstr "El JobID de la solicitud no coincide con ninguno de los trabajos que se ejecutan en este servidor"
+
+#: server_internal.c:875 server_internal.c:907
+msgid "The result for the requested JobID has not yet been generated. "
+msgstr "El resultado para el JobID solicitado aún no se ha generado."
+
+#: server_internal.c:988
+msgid "The job cannot be removed, a file cannot be removed"
+msgstr "No se puede eliminar el trabajo, no se puede eliminar un archivo"
+
+#: server_internal.c:1063
+msgid "Unable to open the registry directory."
+msgstr "No se puede abrir el directorio de registro."
+
+#: server_internal.c:1082
+msgid "Unable to allocate memory."
+msgstr "No se puede asignar memoria."
+
+#: server_internal.c:1093 zoo_service_loader.c:276 zoo_service_loader.c:1384
+#: zoo_service_loader.c:1427
+#, c-format
+msgid "Unable to parse the ZCFG file: %s (%s)"
+msgstr "No se puede analizar el archivo ZCFG: %s (%s)"
+
+#: server_internal.c:1096 zoo_service_loader.c:279 zoo_service_loader.c:1389
+#: zoo_service_loader.c:1431
+#, c-format
+msgid "Unable to parse the ZCFG file: %s."
+msgstr "No se puede analizar el archivo ZCFG: %s."
+
+#: service_internal_ms.c:136
+msgid "Unable to find any mapserverAddress defined in the main.cfg file"
+msgstr "No se puede encontrar ningún mapserverAddress definido en el archivo main.cfg"
+
+#: service_internal_php.c:227
+#, c-format
+msgid "Unable to load the PHP file %s"
+msgstr "No se puede cargar el archivo PHP %s"
+
+#: service_internal_python.c:316
+#, c-format
+msgid "Python module %s cannot be loaded. Message: %s\n"
+msgstr "No se puede cargar el módulo Python %s. Mensaje: %s\n"
+
+#: service_internal_python.c:355
+#, c-format
+msgid ""
+"%s\n"
+"Unable to run your python process properly. Please check the following messages : %s"
+msgstr "%s\nNo se puede ejecutar correctamente su proceso python. Compruebe los siguientes mensajes: %s"
+
+#: service_internal_python.c:361
+#, c-format
+msgid ""
+"%s \n"
+" Unable to run your python process properly. Unable to provide any further information."
+msgstr "%s\nNo se puede ejecutar correctamente su proceso python. No hay más información que se pueda proporcionar."
+
+#: zoo_service_loader.c:352
+#, c-format
+msgid "ZOO Kernel failed to process your request, receiving signal %d = %s"
+msgstr "ZOO Kernel ha fallado en procesar su solicitud al recibir la señal %d = %s"
+
+#: zoo_service_loader.c:527
+#, c-format
+msgid "Error occurred while running the %s function: %s"
+msgstr "Se produjo un error al ejecutar la función %s: %s"
+
+#: zoo_service_loader.c:578
+#, c-format
+msgid "Unable to load C Library %s"
+msgstr "No se puede cargar la biblioteca C %s"
+
+#: zoo_service_loader.c:672
+#, c-format
+msgid ""
+"Programming Language (%s) set in ZCFG file is not currently supported by ZOO"
+" Kernel.\n"
+msgstr "El lenguaje de programación (%s) establecido en el archivo ZCFG no está soportado por ZOO Kernel.\n"
+
+#: zoo_service_loader.c:737
+msgid "Unable to cache HTTP POST Execute request."
+msgstr "No se puede almacenar en caché la solicitud HTTP POST Execute."
+
+#: zoo_service_loader.c:895
+msgid "Unable to load the main.cfg file."
+msgstr "No se puede cargar el archivo main.cfg."
+
+#: zoo_service_loader.c:895
+msgid "%s The following file: %s cannot be found."
+msgstr "%s No se puede encontrar el archivo: %s."
+
+#: zoo_service_loader.c:940
+#, c-format
+msgid "The value %s is not supported for the <language> parameter"
+msgstr "El valor %s no es compatible con el parámetro <language>"
+
+#: zoo_service_loader.c:1238
+msgid "The specified path does not exist."
+msgstr "La ruta especificada no existe."
+
+#: zoo_service_loader.c:1303
+#, c-format
+msgid ""
+"Unable to parse the ZCFG file for the following ZOO-Service: %s. Message: %s"
+msgstr "No se puede analizar el archivo ZCFG para el siguiente servicio ZOO: %s. Mensaje: %s"
+
+#: zoo_service_loader.c:1308
+#, c-format
+msgid "Unable to parse the ZCFG file for the following ZOO-Service: %s."
+msgstr "No se puede analizar el archivo ZCFG para el siguiente servicio ZOO: %s."
+
+#: zoo_service_loader.c:1534
+msgid "Unable to run Execute request using the GET HTTP method"
+msgstr "No se puede ejecutar la solicitud Execute mediante el método GET HTTP"
+
+#: zoo_service_loader.c:1606
+#, c-format
+msgid ""
+"The value for <identifier> seems to be wrong (%s). Please specify one of the"
+" processes in the list returned by a GetCapabilities request."
+msgstr "El valor de <identifier> parece estar equivocado (%s). Por favor, especifique uno de los procesos de la lista devuelta por una solicitud GetCapabilities."
+
+#: zoo_service_loader.c:1733
+msgid ""
+"The status parameter cannot be set to true if storeExecuteResponse is set to"
+" false. Please modify your request parameters."
+msgstr "El parámetro de estado no se puede establecer en true si storeExecuteResponse se establece en false. Por favor, modifique los parámetros de su solicitud."
+
+#: zoo_service_loader.c:1761
+msgid "The process does not permit the desired execution mode."
+msgstr "El proceso no permite el modo de ejecución deseado."
+
+#: zoo_service_loader.c:1837
+msgid "No message provided"
+msgstr "No se proporcionó ningún mensaje"
+
+#: zoo_service_loader.c:1995
+msgid "Initializing"
+msgstr "Inicializando"
+
+#: zoo_service_loader.c:2142
+msgid "Unable to run the child process properly"
+msgstr "No se puede ejecutar correctamente el proceso secundario"
Index: /trunk/zoo-project/zoo-kernel/locale/po/es_AR.po
===================================================================
--- /trunk/zoo-project/zoo-kernel/locale/po/es_AR.po	(revision 823)
+++ /trunk/zoo-project/zoo-kernel/locale/po/es_AR.po	(revision 823)
@@ -0,0 +1,332 @@
+# ZOO-Kernel Internationalization.
+# Copyright (C) 2015 GeoLabs SARL
+# This file is distributed under the same license as the PACKAGE package.
+# 
+# Translators:
+# Carlos Nelson Jimenez <carlos.nelson.jimenez@googlemail.com>, 2017
+msgid ""
+msgstr ""
+"Project-Id-Version: ZOO-Kernel Internationalization\n"
+"Report-Msgid-Bugs-To: zoo-discuss@lists.osgeo.org\n"
+"POT-Creation-Date: 2015-07-02 18:06+0200\n"
+"PO-Revision-Date: 2017-05-09 12:31+0000\n"
+"Last-Translator: Carlos Nelson Jimenez <carlos.nelson.jimenez@googlemail.com>\n"
+"Language-Team: Spanish (Argentina) (http://www.transifex.com/zoo-project/zoo-kernel-internationalization/language/es_AR/)\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Language: es_AR\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+
+#: caching.c:217 caching.c:235 caching.c:356 request_parser.c:214
+#: request_parser.c:225 request_parser.c:262 request_parser.c:403
+#: request_parser.c:414 request_parser.c:441 request_parser.c:537
+#: request_parser.c:562 request_parser.c:665 request_parser.c:782
+#: request_parser.c:1112 request_parser.c:1204 zcfg2yaml.c:38
+#: zoo_service_loader.c:259 zoo_service_loader.c:880 zoo_service_loader.c:1363
+#: zoo_service_loader.c:1559
+msgid "Unable to allocate memory"
+msgstr "No se puede asignar memoria"
+
+#: caching.c:344
+msgid "Unable to download the file."
+msgstr "No se puede descargar el archivo."
+
+#: request_parser.c:92
+#, c-format
+msgid "The maximum allowed occurrences for <%s> (%i) was exceeded."
+msgstr "Se superaron las instancias máximas permitidas para <%s> (%i)."
+
+#: request_parser.c:113
+#, c-format
+msgid "ZOO-Kernel was unable to load your data for %s position %s."
+msgstr "ZOO-Kernel no pudo cargar sus datos para %s en la posición %s."
+
+#: request_parser.c:124
+#, c-format
+msgid "The maximum allowed occurrences for <%s> is one."
+msgstr "La instancia máxima permitida para <%s> es única."
+
+#: request_parser.c:315
+#, c-format
+msgid "Unable to find a valid protocol to download the remote file %s"
+msgstr "No se puede encontrar un protocolo válido para descargar el archivo remoto %s"
+
+#: request_parser.c:613
+msgid "Unable to add a request in the queue."
+msgstr "No se puede agregar una solicitud en cola."
+
+#: request_parser.c:1021
+msgid "Unable to append maps to maps."
+msgstr "No se pueden agregar mapas a los mapas."
+
+#: request_parser.c:1291
+msgid "Duplicate <Output> elements in WPS Execute request"
+msgstr "Elementos <Output> duplicados en la solicitud WPS Execute"
+
+#: request_parser.c:1487
+#, c-format
+msgid ""
+"The <%s> parameter has a size limit (%s MB) defined in the ZOO "
+"ServicesProvider configuration file, but the reference you provided exceeds "
+"this limit (%f MB)."
+msgstr "El parámetro <%s> tiene un tamaño límite de (%s MB) definido en el archivo de configuración ZOO ServicesProvider, pero la referencia que ha proporcionado excede ese límite (%f MB)."
+
+#: request_parser.c:1519
+#, c-format
+msgid ""
+"The <%s> argument was not specified in DataInputs but is required according "
+"to the ZOO ServicesProvider configuration file."
+msgstr "No se especificó el argumento <%s> en DataInputs, pero se requiere de acuerdo con el archivo de configuración ZOO ServicesProvider."
+
+#: request_parser.c:1545
+#, c-format
+msgid ""
+"The <%s> argument specified as %s identifier was not recognized (not defined"
+" in the ZOO Configuration File)."
+msgstr "El argumento <%s> especificado como identificador %s  no fue reconocido (no se encuentra definido en el archivo ZOO Configuration)."
+
+#: request_parser.c:1663
+#, c-format
+msgid "Mandatory parameter <%s> was not specified"
+msgstr "No se especificó el parámetro obligatorio <%s>"
+
+#: request_parser.c:1712
+#, c-format
+msgid "The value <%s> was not recognized, %s %s the only acceptable value."
+msgstr "El se reconoció el valor <%s>, %s %s es el único valor aceptable."
+
+#: request_parser.c:1715
+msgid "is"
+msgstr "es/está"
+
+#: request_parser.c:1727
+msgid "are"
+msgstr "son/están"
+
+#: response_print.c:1630
+#, c-format
+msgid "The service \"%s\" ran successfully."
+msgstr "Se ha ejecutado correctamente el servicio \"%s\"."
+
+#: response_print.c:1638
+#, c-format
+msgid ""
+"The ZOO service \"%s\" is currently running. Please reload this document to "
+"get the up-to-date status of the service."
+msgstr "El servicio ZOO \"%s\" ya está en ejecución. Vuelva a cargar este documento para obtener el estado actualizado del servicio."
+
+#: response_print.c:1644
+#, c-format
+msgid ""
+"The service \"%s\" was accepted by the ZOO-Kernel and is running as a "
+"background task. Please access the URL in the statusLocation attribute "
+"provided in this document to get the up-to-date status and results."
+msgstr "ZOO-Kernel aceptó el servicio \"%s\" y se está ejecutando como una tarea de fondo. Acceda a la URL en el atributo statusLocation que se proporciona en este documento para obtener el estado y los resultados actualizados."
+
+#: response_print.c:1661
+msgid "No more information available"
+msgstr "No hay más información disponible"
+
+#: response_print.c:1668
+#, c-format
+msgid "error code not know : %i\n"
+msgstr "código de error desconocido: %i\n"
+
+#: response_print.c:1760
+msgid "Lock failed."
+msgstr "Falló el bloqueo."
+
+#: response_print.c:1773
+#, c-format
+msgid "Unable to create the file \"%s\" for storing the ExecuteResponse."
+msgstr "No se puede crear el archivo \"%s\" para almacenar ExecuteResponse."
+
+#: response_print.c:2290
+msgid "No debug message available"
+msgstr "No hay mensaje de depuración disponible"
+
+#: response_print.c:2378
+#, c-format
+msgid "Unable to create the file \"%s\" for storing the session maps."
+msgstr "No se puede crear el archivo \"%s\" para almacenar los mapas de sesión."
+
+#: response_print.c:2394
+msgid ""
+"Unable to run the Service. The message returned back by the Service was the "
+"following: "
+msgstr "No se puede ejecutar el servicio. El mensaje devuelto fue el siguiente:"
+
+#: response_print.c:2395
+#, c-format
+msgid ""
+"Unable to run the Service. The message returned back by the Service was the "
+"following: %s"
+msgstr "No se puede ejecutar el servicio. El mensaje devuelto fue el siguiente: %s"
+
+#: response_print.c:2398 response_print.c:2399
+msgid ""
+"Unable to run the Service. No more information was returned back by the "
+"Service."
+msgstr "No se puede ejecutar el servicio. No hay más información devuelta por el mismo."
+
+#: response_print.c:2486
+#, c-format
+msgid "Unable to create the file \"%s\" for storing the %s final result."
+msgstr "No se puede crear el archivo \"%s\" para guardar el resultado final %s."
+
+#: response_print.c:2572
+#, c-format
+msgid ""
+"Wrong RawDataOutput parameter: unable to fetch any result for the given "
+"parameter name: \"%s\"."
+msgstr "Parámetro RawDataOutput incorrecto: no se puede obtener ningún resultado para el nombre del parámetro dado: \"%s\"."
+
+#: server_internal.c:869 server_internal.c:946
+msgid ""
+"The JobID from the request does not match any of the Jobs running on this "
+"server"
+msgstr "El JobID de la solicitud no coincide con ninguno de los trabajos que se ejecutan en este servidor"
+
+#: server_internal.c:875 server_internal.c:907
+msgid "The result for the requested JobID has not yet been generated. "
+msgstr "El resultado para el JobID solicitado aún no se ha generado"
+
+#: server_internal.c:988
+msgid "The job cannot be removed, a file cannot be removed"
+msgstr "No se puede eliminar el trabajo, no se puede eliminar un archivo"
+
+#: server_internal.c:1063
+msgid "Unable to open the registry directory."
+msgstr "No se puede abrir el directorio de registro."
+
+#: server_internal.c:1082
+msgid "Unable to allocate memory."
+msgstr "No se puede asignar memoria."
+
+#: server_internal.c:1093 zoo_service_loader.c:276 zoo_service_loader.c:1384
+#: zoo_service_loader.c:1427
+#, c-format
+msgid "Unable to parse the ZCFG file: %s (%s)"
+msgstr "No se puede analizar el archivo ZCFG: %s (%s)"
+
+#: server_internal.c:1096 zoo_service_loader.c:279 zoo_service_loader.c:1389
+#: zoo_service_loader.c:1431
+#, c-format
+msgid "Unable to parse the ZCFG file: %s."
+msgstr "No se puede analizar el archivo ZCFG: %s."
+
+#: service_internal_ms.c:136
+msgid "Unable to find any mapserverAddress defined in the main.cfg file"
+msgstr "No se puede encontrar ningún mapserverAddress definido en el archivo main.cfg"
+
+#: service_internal_php.c:227
+#, c-format
+msgid "Unable to load the PHP file %s"
+msgstr "No se puede cargar el archivo PHP %s"
+
+#: service_internal_python.c:316
+#, c-format
+msgid "Python module %s cannot be loaded. Message: %s\n"
+msgstr "No se puede cargar el módulo Python %s. Mensaje: %s\n"
+
+#: service_internal_python.c:355
+#, c-format
+msgid ""
+"%s\n"
+"Unable to run your python process properly. Please check the following messages : %s"
+msgstr "%s\nNo se puede ejecutar correctamente su proceso python. Compruebe los siguientes mensajes: %s"
+
+#: service_internal_python.c:361
+#, c-format
+msgid ""
+"%s \n"
+" Unable to run your python process properly. Unable to provide any further information."
+msgstr "%s\nNo se puede ejecutar correctamente su proceso python. No hay más información que se pueda proporcionar."
+
+#: zoo_service_loader.c:352
+#, c-format
+msgid "ZOO Kernel failed to process your request, receiving signal %d = %s"
+msgstr "ZOO Kernel ha fallado en procesar su solicitud al recibir la señal %d = %s"
+
+#: zoo_service_loader.c:527
+#, c-format
+msgid "Error occurred while running the %s function: %s"
+msgstr "Se produjo un error al ejecutar la función %s: %s"
+
+#: zoo_service_loader.c:578
+#, c-format
+msgid "Unable to load C Library %s"
+msgstr "No se puede cargar la biblioteca C %s"
+
+#: zoo_service_loader.c:672
+#, c-format
+msgid ""
+"Programming Language (%s) set in ZCFG file is not currently supported by ZOO"
+" Kernel.\n"
+msgstr "El lenguaje de programación (%s) establecido en el archivo ZCFG no está soportado por ZOO Kernel.\n"
+
+#: zoo_service_loader.c:737
+msgid "Unable to cache HTTP POST Execute request."
+msgstr "No se puede almacenar en caché la solicitud HTTP POST Execute."
+
+#: zoo_service_loader.c:895
+msgid "Unable to load the main.cfg file."
+msgstr "No se puede cargar el archivo main.cfg."
+
+#: zoo_service_loader.c:895
+msgid "%s The following file: %s cannot be found."
+msgstr "%s No se puede encontrar el archivo: %s."
+
+#: zoo_service_loader.c:940
+#, c-format
+msgid "The value %s is not supported for the <language> parameter"
+msgstr "El valor %s no es compatible con el parámetro <language>"
+
+#: zoo_service_loader.c:1238
+msgid "The specified path does not exist."
+msgstr "La ruta especificada no existe."
+
+#: zoo_service_loader.c:1303
+#, c-format
+msgid ""
+"Unable to parse the ZCFG file for the following ZOO-Service: %s. Message: %s"
+msgstr "No se puede analizar el archivo ZCFG para el siguiente servicio ZOO: %s. Mensaje: %s"
+
+#: zoo_service_loader.c:1308
+#, c-format
+msgid "Unable to parse the ZCFG file for the following ZOO-Service: %s."
+msgstr "No se puede analizar el archivo ZCFG para el siguiente servicio ZOO: %s."
+
+#: zoo_service_loader.c:1534
+msgid "Unable to run Execute request using the GET HTTP method"
+msgstr "No se puede ejecutar la solicitud Execute mediante el método GET HTTP"
+
+#: zoo_service_loader.c:1606
+#, c-format
+msgid ""
+"The value for <identifier> seems to be wrong (%s). Please specify one of the"
+" processes in the list returned by a GetCapabilities request."
+msgstr "El valor de <identifier> parece estar equivocado (%s). Por favor, especifique uno de los procesos de la lista devuelta por una solicitud GetCapabilities."
+
+#: zoo_service_loader.c:1733
+msgid ""
+"The status parameter cannot be set to true if storeExecuteResponse is set to"
+" false. Please modify your request parameters."
+msgstr "El parámetro de estado no se puede establecer en true si storeExecuteResponse se establece en false. Por favor, modifique los parámetros de su solicitud."
+
+#: zoo_service_loader.c:1761
+msgid "The process does not permit the desired execution mode."
+msgstr "El proceso no permite el modo de ejecución deseado."
+
+#: zoo_service_loader.c:1837
+msgid "No message provided"
+msgstr "No se proporcionó ningún mensaje"
+
+#: zoo_service_loader.c:1995
+msgid "Initializing"
+msgstr "Inicializando"
+
+#: zoo_service_loader.c:2142
+msgid "Unable to run the child process properly"
+msgstr "No se puede ejecutar correctamente el proceso secundario"